Download a gzip-compressed NDJSON snapshot
curl --request GET \
--url http://127.0.0.1:5185/v1/exports/{publication_revision}/{resource}.ndjson.gzconst options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/exports/{publication_revision}/{resource}.ndjson.gz', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/exports/{publication_revision}/{resource}.ndjson.gz"
response = requests.get(url)
print(response.text)"<string>"{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Download a gzip-compressed NDJSON snapshot
Streams one header record followed by typed data records. The response bytes are immutable
for a publication and resource, and the strong ETag can be retained indefinitely. The
Content-Encoding: gzip header describes the downloaded representation.
Download a gzip-compressed NDJSON snapshot
curl --request GET \
--url http://127.0.0.1:5185/v1/exports/{publication_revision}/{resource}.ndjson.gzconst options = {method: 'GET'};
fetch('http://127.0.0.1:5185/v1/exports/{publication_revision}/{resource}.ndjson.gz', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "http://127.0.0.1:5185/v1/exports/{publication_revision}/{resource}.ndjson.gz"
response = requests.get(url)
print(response.text)"<string>"{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invalid_params": [
{
"name": "<string>",
"reason": "<string>"
}
]
}Headers
Strong entity tag from an earlier response.
Path Parameters
Immutable Nektir publication UUID returned by the export manifest.
Available options:
products, stores, inventory Response
Gzip-compressed newline-delimited JSON.
The response is of type file.